This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1011182 - Export status command does not seem to getting the status of exports
Export status command does not seem to getting the status of exports
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 13:47 EDT by Preethi Thomas
Modified: 2014-08-09 02:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:54:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-23 13:47:44 EDT
Description of problem:
If you run repo export status on a repo-id, whether an export is running on the repo or not, it always says


Version-Release number of selected component (if applicable):
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]# 


How reproducible:


Steps to Reproduce:
[root@pulp-v2-server ~]# pulp-admin rpm repo export run --repo-id daily-centos-5-extras-x86_64  --bg+----------------------------------------------------------------------+
          Publishing Repository [daily-centos-5-extras-x86_64]
+----------------------------------------------------------------------+

The status of this publish can be displayed using the status command.

[root@pulp-v2-server ~]# pulp-admin rpm repo export status --repo-id daily-centos-5-extras-x86_64
+----------------------------------------------------------------------+
            Repository Status [daily-centos-5-extras-x86_64]
+----------------------------------------------------------------------+

The repository is not performing any operations


[root@pulp-v2-server ~]# pulp-admin rpm repo export status --repo-id foo
+----------------------------------------------------------------------+
                        Repository Status [foo]
+----------------------------------------------------------------------+

The repository is not performing any operations

[root@pulp-v2-server ~]# 


Actual results:


Expected results:


Additional info:
Comment 1 Barnaby Court 2014-02-26 14:29:27 EST
This was already fixed with the celery updates
Comment 2 Jeff Ortel 2014-04-03 09:36:06 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-04-16 09:59:27 EDT
verified
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server ~]# pulp-admin rpm repo export status --repo-id yum-puppet
+----------------------------------------------------------------------+
                     Repository Status [yum-puppet]
+----------------------------------------------------------------------+

The repository is not performing any operations

[root@pulp-24-server ~]# pulp-admin rpm repo export status --repo-id yum-puppet
+----------------------------------------------------------------------+
                     Repository Status [yum-puppet]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Exporting packages...
[==================================================] 100%
Rpms: 352/352 items
... completed

Exporting errata...
[==================================================] 100%
Errata: 0/0 items
... completed

Exporting distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata...
[\]
... completed

[==================================================] 100%
Iso Images: 1/1 items
... completed

Publishing over HTTPS...
[-]
... completed


Task Succeeded


[root@pulp-24-server ~]#
Comment 4 Randy Barlow 2014-08-09 02:54:56 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.